'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.post('/util', controller.home.utilMethod);
  require('./router/news')(app); // 新闻
  require('./router/product')(app); // 产品
  require('./router/patent')(app); // 专利
  require('./router/road_show')(app); // 路演
  require('./router/expert')(app); // 专家
  require('./router/admin')(app); // 管理员
  require('./router/organization')(app); // 企业
  require('./router/mechanism')(app); // 机构
};
